searchNodes=[{"ref":"VirusTotal.html","title":"VirusTotal","type":"module","doc":"Documentation for VirusTotal. Full API documentation can be found on the official site As a note, this wrapper will convert HTTP-200 responses with a response_code of 0 to errors. Apparently VT considers to be HTTP 200 to be a valid status code for &quot;not found&quot;. How silly. Example usage: iex&gt; client = VirusTotal.Client.new(my_api_key) iex&gt; {:ok, report} = VirusTotal.file_report(client, &quot;7bf5623f0a10dfa148a35bebd899b7758612f1693d2a9910f716cf15a921a76a&quot;) {:ok, %{&quot;ITW_urls&quot; =&gt; [&quot;https://chiru.no/u/rensenware.exe&quot;], ...}}"},{"ref":"VirusTotal.html#delete_rescan/2","title":"VirusTotal.delete_rescan/2","type":"function","doc":"Deletes a scheduled file rescan task. The file rescan api allows you to schedule periodic scans of a file, this API call tells VirusTotal to stop rescanning a file that you have previously enqueued for recurrent scanning."},{"ref":"VirusTotal.html#domain_report/2","title":"VirusTotal.domain_report/2","type":"function","doc":"Retrieves a report on a given domain (including the information recorded by VirusTotal&#39;s passive DNS infrastructure)."},{"ref":"VirusTotal.html#file_behaviour/2","title":"VirusTotal.file_behaviour/2","type":"function","doc":"VirusTotal runs a distributed setup of Cuckoo sandbox machines that execute the files they receive. Execution is attempted only once, upon first submission to VirusTotal, and only Portable Executables under 10MB in size are ran. The execution of files is a best effort process, hence, there are no guarantees about a report being generated for a given file in the dataset."},{"ref":"VirusTotal.html#file_clusters/2","title":"VirusTotal.file_clusters/2","type":"function","doc":"This API offers a programmatic access to the clustering section of VirusTotal Intelligence Valid params: :date: A specific day for which we want to access the clustering details, example: 2013-09-10."},{"ref":"VirusTotal.html#file_download/2","title":"VirusTotal.file_download/2","type":"function","doc":"Downloads a file from VirusTotal&#39;s store iex&gt; file_download(client, &quot;7bf5623f0a10dfa148a35bebd899b7758612f1693d2a9910f716cf15a921a76a&quot;) {:ok, &lt;&lt;77, 90, 144, ...&gt;&gt;}"},{"ref":"VirusTotal.html#file_network_traffic/2","title":"VirusTotal.file_network_traffic/2","type":"function","doc":"Files that are successfully executed may communicate with certain network resources, all this communication is recorded in a network traffic dump (pcap file). This API allows you to retrieve the network traffic dump generated during the file&#39;s execution."},{"ref":"VirusTotal.html#file_report/3","title":"VirusTotal.file_report/3","type":"function","doc":"Retrieves a concluded file scan report for a given file. Valid parameters: :allinfo: if this is specified and set to 1, the call will return additional info. This is turned ON by default iex&gt; file_report(client, &quot;7bf5623f0a10dfa148a35bebd899b7758612f1693d2a9910f716cf15a921a76a&quot;) {:ok, %{&quot;ITW_urls&quot; =&gt; [&quot;https://chiru.no/u/rensenware.exe&quot;]}}"},{"ref":"VirusTotal.html#file_search/3","title":"VirusTotal.file_search/3","type":"function","doc":"Valid params: :offset: The offset value returned by a previously issued identical query, allows you to paginate over the results. If not specified the first 300 matching files sorted according to last submission date to VirusTotal in a descending fashion will be returned."},{"ref":"VirusTotal.html#get_comments/3","title":"VirusTotal.get_comments/3","type":"function","doc":""},{"ref":"VirusTotal.html#ip_report/2","title":"VirusTotal.ip_report/2","type":"function","doc":"Retrieves a report on a given IP address (including the information recorded by VirusTotal&#39;s Passive DNS infrastructure). iex&gt; ip_report(client, &quot;8.8.8.8&quot;) {:ok, %{&quot;asn&quot; =&gt; ...}}"},{"ref":"VirusTotal.html#notifications/1","title":"VirusTotal.notifications/1","type":"function","doc":"Retrieves all notifications created by VirusTotal&#39;s hunting functionality"},{"ref":"VirusTotal.html#put_comment/3","title":"VirusTotal.put_comment/3","type":"function","doc":""},{"ref":"VirusTotal.html#rescan_file/3","title":"VirusTotal.rescan_file/3","type":"function","doc":"Allows you to rescan files present in VirusTotal&#39;s file store without having to resubmit them iex&gt; rescan_file(client, some_hash) {:ok, %{&quot;scan_id&quot; =&gt; &quot;something&quot;}} Valid parameters: :date: Date in %Y%m%d%H%M%S format (example: 20120725170000) in which the rescan should be performed. If not specified the rescan will be performed immediately. :period: Periodicity (in days) with which the file should be rescanned. If this argument is provided the file will be rescanned periodically every period days, if not, the rescan is performed once and not repeated again. :repeat: Used in conjunction with period to specify the number of times the file should be rescanned. If this argument is provided the file will be rescanned the given amount of times in coherence with the chosen periodicity, if not, the file will be rescanned indefinitely. :notify_url: A URL to which a POST notification should be sent when the rescan finishes. :notify_changes_only: Used in conjunction with notify_url. Indicates if POST notifications should only be sent if the scan results differ from the previous one."},{"ref":"VirusTotal.html#url_report/2","title":"VirusTotal.url_report/2","type":"function","doc":"Retrieves a report for a given URL iex&gt; url_report(client, &quot;https://yuruyuri.com/&quot;) {:ok, %{&quot;positives&quot; =&gt; 0, ...}}"},{"ref":"VirusTotal.html#url_scan/2","title":"VirusTotal.url_scan/2","type":"function","doc":"Allows you to submit URLs to be scanned by VirusTotal iex&gt; url_scan(client, &quot;https://yuruyuri.com&quot;) {:ok, %{&quot;scan_id&quot; =&gt; ...}}"},{"ref":"VirusTotal.Client.html","title":"VirusTotal.Client","type":"module","doc":"A client for interacting with virustotal"},{"ref":"VirusTotal.Client.html#delete/3","title":"VirusTotal.Client.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#delete!/3","title":"VirusTotal.Client.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#get/3","title":"VirusTotal.Client.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#get!/3","title":"VirusTotal.Client.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#head/3","title":"VirusTotal.Client.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#head!/3","title":"VirusTotal.Client.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#new/0","title":"VirusTotal.Client.new/0","type":"function","doc":"Create a VT client with the API listed in config Uses :virustotal -&gt; :api_key"},{"ref":"VirusTotal.Client.html#new/2","title":"VirusTotal.Client.new/2","type":"function","doc":"Create a VT client with a custom API key. Can be given a custom adapter if required iex&gt; new(&quot;my_apikey&quot;) %Tesla.Client{...} iex&gt; new(&quot;my_apikey&quot;, adapter: {Tesla.Adapter.Hackney, [pool: :virustotal]}) %Tesla.Client{...}"},{"ref":"VirusTotal.Client.html#options/3","title":"VirusTotal.Client.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#options!/3","title":"VirusTotal.Client.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#patch/4","title":"VirusTotal.Client.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#patch!/4","title":"VirusTotal.Client.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#post/4","title":"VirusTotal.Client.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#post!/4","title":"VirusTotal.Client.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#put/4","title":"VirusTotal.Client.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#put!/4","title":"VirusTotal.Client.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#request/2","title":"VirusTotal.Client.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"VirusTotal.Client.html#request!/2","title":"VirusTotal.Client.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"VirusTotal.Client.html#trace/3","title":"VirusTotal.Client.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#trace!/3","title":"VirusTotal.Client.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"VirusTotal.Client.html#t:option/0","title":"VirusTotal.Client.option/0","type":"type","doc":""}]